# $Revision: 1.21 $, $Date: 2009/06/10 14:18:30 $
#
# Conditional build:
%bcond_with	tests	# perform "make test": very long
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Log
%define		pnam	Dispatch-FileRotate
Summary:	Log::Dispatch::FileRotate - log to files that archive/rotate themselves
Summary(pl.UTF-8):	Log::Dispatch::FileRotate - logowanie do plików, które są archiwizowane lub podlegają rotacji
Name:		perl-Log-Dispatch-FileRotate
Version:	1.19
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Log/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8fabfe387bb070580f7c97c18853ae25
URL:		http://search.cpan.org/dist/Log-Dispatch-FileRotate/
BuildRequires:	perl-Date-Manip
BuildRequires:	perl-Log-Dispatch
%{?with_tests:BuildRequires:	perl-Log-Log4perl}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a simple object for logging to files under the
Log::Dispatch::* system, and automatically rotating them according to
different constraints. This is basically a Log::Dispatch::File wrapper
with additions.

%description -l pl.UTF-8
Niniejszy moduł udostępnia prosty obiekt obsługujący logowanie do
plików w systemie Log::Dispatch::* i dokonujący automatycznej rotacji
tych plików na podstawie różnych reguł. W zasadzie jest to nakładka na
Log::Dispatch::File zawierająca dodatki.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	< /dev/null
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Log/Dispatch/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Log-Dispatch-FileRotate.spec,v $
Revision 1.21  2009/06/10 14:18:30  amateja
- updated to 1.19

Revision 1.20  2007/12/24 18:27:26  qboosh
- generic URL
- License is Artistic

Revision 1.19  2007-12-24 02:37:38  zbyniu
- up to 1.16

Revision 1.18  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.16  2004/11/03 22:30:31  paladine
- formatting

Revision 1.15  2004/05/06 18:43:14  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.13  2004/04/22 15:01:18  ankry
- license fixes and unification

Revision 1.12  2004/03/13 23:09:15  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.11  2003/10/01 22:46:27  migo
- up to 1.11

Revision 1.10  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.9  2003/07/29 15:42:35  adamg
- updated to 1.10

Revision 1.8  2003/06/11 14:46:28  qboosh
- up to 1.09

Revision 1.7  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 19:22:32  qboosh
- typo

Revision 1.4  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.3  2003/04/11 16:14:27  ankry
- rel. 2

Revision 1.2  2003/04/11 16:06:53  ankry
- should be ready for perl 5.8.0

Revision 1.1  2003/04/11 14:08:08  ankry
- new, for ra
